Bug 1431574 - service file not starting rpcbind.target
Summary: service file not starting rpcbind.target
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpcbind
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 10:20 UTC by Laurent Bigonville
Modified: 2018-01-02 16:22 UTC (History)
2 users (show)

Fixed In Version: rpcbind-0.2.4-8.rc3.fc27 rpcbind-0.2.4-8.rc3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-28 02:50:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Laurent Bigonville 2017-03-13 10:20:59 UTC
Hi,

It seems that the rpcbind.service is not pulling the rcpbind.target

According to systemd.special(7) manpage:

rpcbind.target
    The portmapper/rpcbind pulls in this target and orders itself before it, to indicate its availability. systemd automatically adds dependencies of type After= for this target unit to all SysV init script service units with an LSB header referring to the "$portmap" facility.

In debian we have added:

Wants=rpcbind.target
Before=rpcbind.target

I guess it should be added in upstream .service file as well

Comment 1 Steve Dickson 2017-04-19 13:47:07 UTC
(In reply to Laurent Bigonville from comment #0)
> Hi,
> 
> It seems that the rpcbind.service is not pulling the rcpbind.target
> 
> According to systemd.special(7) manpage:
> 
> rpcbind.target
>     The portmapper/rpcbind pulls in this target and orders itself before it,
> to indicate its availability. systemd automatically adds dependencies of
> type After= for this target unit to all SysV init script service units with
> an LSB header referring to the "$portmap" facility.
> 
> In debian we have added:
> 
> Wants=rpcbind.target
> Before=rpcbind.target
> 
> I guess it should be added in upstream .service file as well

I can not seem to find how the Debian rpcbind is using systemd
I'm looking at https://sources.debian.net/src/rpcbind/

Comment 2 Laurent Bigonville 2017-06-06 23:31:38 UTC
(In reply to Steve Dickson from comment #1)
> (In reply to Laurent Bigonville from comment #0)
> > Hi,
> > 
> > It seems that the rpcbind.service is not pulling the rcpbind.target
> > 
> > According to systemd.special(7) manpage:
> > 
> > rpcbind.target
> >     The portmapper/rpcbind pulls in this target and orders itself before it,
> > to indicate its availability. systemd automatically adds dependencies of
> > type After= for this target unit to all SysV init script service units with
> > an LSB header referring to the "$portmap" facility.
> > 
> > In debian we have added:
> > 
> > Wants=rpcbind.target
> > Before=rpcbind.target
> > 
> > I guess it should be added in upstream .service file as well
> 
> I can not seem to find how the Debian rpcbind is using systemd
> I'm looking at https://sources.debian.net/src/rpcbind/

The files are in the debian/ directory: https://sources.debian.net/src/rpcbind/0.2.3-0.6/debian/

Comment 3 Jan Kurik 2017-08-15 08:56:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Fedora Update System 2017-12-18 13:36:01 UTC
rpcbind-0.2.4-8.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be16788e4e

Comment 5 Fedora Update System 2017-12-18 13:36:09 UTC
rpcbind-0.2.4-8.rc3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-713f05f7e6

Comment 6 Fedora Update System 2017-12-18 22:02:21 UTC
rpcbind-0.2.4-8.rc3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be16788e4e

Comment 7 Fedora Update System 2017-12-18 22:40:25 UTC
rpcbind-0.2.4-8.rc3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-713f05f7e6

Comment 8 Fedora Update System 2017-12-28 02:50:49 UTC
rpcbind-0.2.4-8.rc3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-01-02 16:22:59 UTC
rpcbind-0.2.4-8.rc3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.